$user1='username'
$pass1='pass'
$local_target1 = @('D:\FTPData\Outbox\*.xml','D:\FTPData\Outbox\*.csv')
$local_backup1 = 'D:\FTPData\Outbox\Backup'
$ftp_uri1='ftp://ftp.techdinamics.io/FromClient/'

$webclient = New-Object System.Net.WebClient 
$webclient.Credentials = New-Object System.Net.NetworkCredential($user1,$pass1)

$total_files = 0
#list every sql server trace file 
foreach($item in (dir -Path $local_target1)){ 
    "Uploading $item..." 
    $uri = New-Object System.Uri($ftp_uri1+$item.Name) 
    try {
	    $webclient.UploadFile($uri, $item.FullName) 
	    "Archiving $item..." 
	    Move-Item $item (Join-Path $local_backup1 $item.Name) -Force
	    $total_files = $total_files + 1
    } catch {
	$_.Exception.Message
    }
 } 
"Total files uploaded: $total_files"
